Worker::stack
Collectable
Worker
PHP Manual

# Worker::unstack

(PECL pthreads >= 2.0.0)

Worker::unstack — Stacking

### Description

public integer Worker::unstack ([ Threaded `&$work` ] )

Removes the referenced object ( or all objects if parameters are void ) from stack of the referenced Worker

### Parameters

`work`

  Threaded object previously stacked onto Worker

### Return Values

The new length of the stack

### Examples

Example #1 Removing objects from the stack of Workers

`<?php
class Work extends Threaded {
public function run() {
}
}
$my = new Worker();
$work = new Work();
var_dump($my->stack($work));
var_dump($my->unstack($work));
?>`

The above example will output:

    int(1)
    int(0)

Worker::stack
Collectable
Worker
PHP Manual